import { BackgroundCircle } from './BackgroundCircle'; 
import { Eyes } from './Eyes'; 
import { Mouth } from './Mouth'; 
import { FaceContainer } from './FaceContainer'; 

export const Face = ({ width, height, centerY, centerX, strokeWidth, eyeOffsetX, eyeOffsetY,eyeRadius, irisColor, irisWidth, mouthRadius, mouthWidth}) => (
<FaceContainer 
    centerX={centerX} 
    centerY={centerY}
    width={width}
    height={height}>
  			<BackgroundCircle 
          radius={centerY - strokeWidth / 2} 
          strokeWidth={strokeWidth} 
          />
      
      	<Eyes eyeOffsetX={eyeOffsetX} 
          		eyeOffsetY={eyeOffsetY} 
              irisColor={irisColor} 
          		irisWidth={irisWidth}
          		eyeRadius={eyeRadius}
          />     
      
        <Mouth 
          mouthRadius={mouthRadius} 
          mouthWidth={mouthWidth} 
          />
  </FaceContainer>
);
